> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create payment

> Create a new payment



## OpenAPI

````yaml post /payment
openapi: 3.0.2
info:
  title: Coinprofile business API
  version: 1.0.0
  description: Coinprofile business API
servers:
  - url: https://staging-biz.coinprofile.co/v2
    description: Production
security: []
tags: []
paths:
  /payment:
    post:
      summary: Create payment
      description: Create a new payment
      operationId: createPayment
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                businessId:
                  type: string
                  description: The business id
                reference:
                  type: string
                  description: The reference
                incomingAmount:
                  type: number
                  description: The incoming amount
                outgoingAmount:
                  type: number
                  description: The outgoing amount
                incomingCurrency:
                  type: string
                  description: The incoming currency
                outgoingCurrency:
                  type: string
                  description: The outgoing currency
                rateKey:
                  type: string
                  description: The rate key
                customerEmail:
                  type: string
                  description: The rate key
                paymentType:
                  type: string
                  description: The payment type
                coinprofileUsername:
                  type: string
                  description: >-
                    The coinprofile username. Required when paymentType is
                    profile
                country:
                  type: string
                  description: The country. Required when paymentType is bank
                accountNumber:
                  type: string
                  description: The account number. Required when paymentType is bank
                accountName:
                  type: string
                  description: The account name. Required when paymentType is bank
                bank:
                  type: string
                  description: The bank name. Required when paymentType is bank
                bankCode:
                  type: string
                  description: The bank code. Required when paymentType is bank
              required:
                - businessId
                - incomingCurrency
                - outgoingCurrency
                - paymentType
                - customerEmail
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      incomingAmount:
                        type: integer
                        format: int32
                      outgoingAmount:
                        type: integer
                        format: int32
                      confirmedAmount:
                        type: integer
                        format: int32
                      unconfirmedAmount:
                        type: integer
                        format: int32
                      state:
                        type: string
                      _id:
                        type: string
                      businessId:
                        type: string
                      reference:
                        type: string
                      incomingCurrency:
                        type: string
                      outgoingCurrency:
                        type: string
                      expTime:
                        type: string
                      address:
                        type: string
                      customerEmail:
                        type: string
                      paymentType:
                        type: string
                      account:
                        type: string
                      rate:
                        type: integer
                        format: int32
                      threadTS:
                        type: string
                      senderUsername:
                        type: string
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
      security:
        - ApiUser: []
          ApiKey: []
          UserVersion: []
components:
  securitySchemes:
    ApiUser:
      type: apiKey
      in: header
      name: X-Api-User
    ApiKey:
      type: apiKey
      in: header
      name: X-Api-Key
    UserVersion:
      type: apiKey
      in: header
      name: X-User-Version

````